# OpalManager::PortInfo Struct Reference

`#include <manager.h>`

## Public Member Functions

void | Set (unsigned base, unsigned max, unsigned range, unsigned dflt)
WORD | GetNext (unsigned increment)

## Data Fields

PMutex | mutex
WORD | base
WORD | max
WORD | current

## Member Function Documentation

WORD OpalManager::PortInfo::GetNext | ( | unsigned | increment | ) |

void OpalManager::PortInfo::Set | ( | unsigned | base,
|  | unsigned | max,
|  | unsigned | range,
|  | unsigned | dflt |
| ) |  |  |

## Field Documentation

WORD OpalManager::PortInfo::base

WORD OpalManager::PortInfo::current

WORD OpalManager::PortInfo::max

PMutex OpalManager::PortInfo::mutex

The documentation for this struct was generated from the following file:

- manager.h